GNUNET-NAMESTORE-FCFSD(1)

NAME
gnunet-namestore-fcfsd - HTTP server for GNU Name System First-Come-First-Served name registration

SYNOPSIS
gnunet-namestore-fcfsd [options]

DESCRIPTION
Most users will not want to run an FCFS-zone and thus will not need this program. gnunet-gns-fcfsd runs a web server where users can register names to be mapped to their GNS zone. Names are made available on a First Come First Served basis (hence fcfs). Registered names do not expire. The HTTP server is run on the port that is specified in the configuration file in section "[fcfsd]" under the name "HTTPPORT". It is possible to manage gnunet-gns-fcfsd using gnunet-(service-arm) by starting the daemon using "gnunet-arm -i fcfsd" or by setting "IMMEDIATE_START=YES" in the "fcfds" section of your configuration and the "-z ZONE" in as the "OPTION". An FCFS-zone is run at http://gnunet.org/fcfs/. GNS users are encouraged to register their zone with the gnunet.org FCFS authority. If you want to run your own FCFS registrar, you need to first create a pseudonym (using "gnunet-identity -C NAME"), and use it with the "-z" option. After that, you can start the FCFSD service (possibly using gnunet-arm).

OPTIONS

-c FILENAME,  --config=FILENAME
    Use the configuration file FILENAME.

-h, --help
    Print short help on options.

-L LOGLEVEL, --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-v, --version
    Print GNUnet version number.

-z EGO, --zone=EGO
    Specifies for which EGO should FCFSD manage the zone.

BUGS
Report bugs by using Mantis <https://gnunet.org/bugs/> or by sending electronic mail to <bug-gnunet@gnu.org>

SEE ALSO
gnunet-identity(1), gnunet-gns(1), gnunet-gns-proxy(1)